<?php

namespace App\Http\Controllers;

use App\Models\Kategori;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class KategoriController extends Controller
{
    public function index()
    {
        $data = Kategori::all();
    
        return view('admin.kategori')->with('data', $data);
    }

    public function store(Request $request)
    {
        $data = $request->except(['_method','_token']);
    
        Kategori::updateOrCreate($data);
          
        return back()
           ->with('success','Tambah Kategori Berhasil.');
    }

    public function edit($id)
    {
       $kategori = Kategori::find($id);
       
       return response()->json($kategori);
    }

    public function update(Request $request, $id)
    {
       $kategori = Kategori::find($id);
       $kategori->update(['nama'=>$request->nama]);
       
       return back()
            ->with('success','Edit Kategori Berhasil.');
    }

    public function destroy(Request $request, $id)
    {
        Kategori::find($id)->delete();
       
        return redirect()->back()
        ->with('success','Hapus Data Berhasil');;        
    }
}
